#
# spec file for package python-fake-factory
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-fake-factory
Version:        0.5.3
Release:        1.2
License:        MIT
Summary:        Faker is a Python package that generates fake data for you
Url:            http://github.com/joke2k/faker
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/f/fake-factory/fake-factory-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires(post):   update-alternatives
Requires(postun): update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
*Faker* is a Python package that generates fake data for you. Whether
you need to bootstrap your database, create good-looking XML documents,
fill-in your persistence to stress test it, or anonymize data taken from
a production service, Faker is for you.

Faker is heavily inspired by `PHP Faker`_, `Perl Faker`_, and by `Ruby Faker`_.

%prep
%setup -q -n fake-factory-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
mv %{buildroot}%{_bindir}/faker %{buildroot}%{_bindir}/faker-%{py_ver}
ln -s %{_bindir}/faker-%{py_ver} %{buildroot}%{_bindir}/faker

%pre
[ -h %{_bindir}/faker ] || rm -f %{_bindir}/faker

%post
update-alternatives --install \
    %{_bindir}/faker faker %{_bindir}/faker-%{py_ver} 20

%preun
if [ $1 -eq 0 ] ; then
    update-alternatives --remove faker %{_bindir}/faker-%{py_ver}
fi

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE.txt CHANGELOG.rst
%{python_sitelib}/*
%ghost %{_bindir}/faker
%{_bindir}/faker-%{py_ver}

%changelog
* Tue Nov 10 2015 tbechtold@suse.com
- Initial packaging (version 0.5.3)
